<?php

namespace \Losc\CucmBundle\Model\Webservice\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for XMtp StructType
 * @subpackage Structs
 */
class XMtp extends AbstractStructBase
{
    /**
     * The mtpType
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * - nillable: false
     * @var string
     */
    public $mtpType;
    /**
     * The name
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * - nillable: false
     * @var string
     */
    public $name;
    /**
     * The devicePoolName
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * - nillable: true
     * @var \\Losc\CucmBundle\Model\Webservice\StructType\XFkType
     */
    public $devicePoolName;
    /**
     * The description
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * - nillable: false
     * @var string
     */
    public $description;
    /**
     * The trustedRelayPoint
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - maxOccurs: 1
     * - minOccurs: 0
     * - nillable: false
     * - pattern: (t)|(f)|(true)|(false)|(0)|(1)
     * @var string
     */
    public $trustedRelayPoint;
    /**
     * Constructor method for XMtp
     * @uses XMtp::setMtpType()
     * @uses XMtp::setName()
     * @uses XMtp::setDevicePoolName()
     * @uses XMtp::setDescription()
     * @uses XMtp::setTrustedRelayPoint()
     * @param string $mtpType
     * @param string $name
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\XFkType $devicePoolName
     * @param string $description
     * @param string $trustedRelayPoint
     */
    public function __construct($mtpType = null, $name = null, \\Losc\CucmBundle\Model\Webservice\StructType\XFkType $devicePoolName = null, $description = null, $trustedRelayPoint = null)
    {
        $this
            ->setMtpType($mtpType)
            ->setName($name)
            ->setDevicePoolName($devicePoolName)
            ->setDescription($description)
            ->setTrustedRelayPoint($trustedRelayPoint);
    }
    /**
     * Get mtpType value
     * @return string
     */
    public function getMtpType()
    {
        return $this->mtpType;
    }
    /**
     * Set mtpType value
     * @param string $mtpType
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\XMtp
     */
    public function setMtpType($mtpType = null)
    {
        $this->mtpType = $mtpType;
        return $this;
    }
    /**
     * Get name value
     * @return string
     */
    public function getName()
    {
        return $this->name;
    }
    /**
     * Set name value
     * @param string $name
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\XMtp
     */
    public function setName($name = null)
    {
        $this->name = $name;
        return $this;
    }
    /**
     * Get devicePoolName value
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\XFkType
     */
    public function getDevicePoolName()
    {
        return $this->devicePoolName;
    }
    /**
     * Set devicePoolName value
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\XFkType $devicePoolName
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\XMtp
     */
    public function setDevicePoolName(\\Losc\CucmBundle\Model\Webservice\StructType\XFkType $devicePoolName = null)
    {
        $this->devicePoolName = $devicePoolName;
        return $this;
    }
    /**
     * Get description value
     * @return string|null
     */
    public function getDescription()
    {
        return $this->description;
    }
    /**
     * Set description value
     * @param string $description
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\XMtp
     */
    public function setDescription($description = null)
    {
        $this->description = $description;
        return $this;
    }
    /**
     * Get trustedRelayPoint value
     * @return string|null
     */
    public function getTrustedRelayPoint()
    {
        return $this->trustedRelayPoint;
    }
    /**
     * Set trustedRelayPoint value
     * @param string $trustedRelayPoint
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\XMtp
     */
    public function setTrustedRelayPoint($trustedRelayPoint = null)
    {
        $this->trustedRelayPoint = $trustedRelayPoint;
        return $this;
    }
}
